Prisma ORM 8 is here.Read the docs
Database backups

Get list of backups

Returns backups for the specified database.

GET/v1/databases/{databaseId}/backups

Returns backups for the specified database.

Authorization

AuthorizationBearer <token>

OAuth2 authentication

In: header

Scope: workspace:admin, offline_access

Path Parameters

databaseId*string
Match^(db_)?([cC][^\s-]{8,}|[a-z0-9]+)$

Query Parameters

limit?integer
Range1 <= value <= 100
Default25

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/databases/string/backups"
{  "data": [    {      "id": "string",      "backupType": "full",      "createdAt": "string",      "size": 0,      "status": "running",      "type": "backup"    }  ],  "meta": {    "backupRetentionDays": 0  },  "pagination": {    "hasMore": true,    "limit": 1  }}